Phonegap no pudo iniciar el servicio de geolocalización

Estoy trabajando en la aplicación de Android con PhoneGap 1.5.0. Actualmente, tengo un problema con el inicio del servicio GeoLocation. y aquí está lo raro. Tengo 3 dispositivos Android HTC Vivid, Galaxy S y Galaxy Tab (Android ver: 2.3.6, 2.3.4, 2.2).

Cuando llamé

navigator.geolocation.getCurrentPosition(function(position){....});

me dio el error de "Error al iniciar el servicio de geolocalización". Eso solo sucedió en mi teléfono HTC, el resto de mis dispositivos funcionan bien y pueden obtener la posición actual.

¿Alguien podría ayudar, por favor?

Gracias de antemano.

preguntado el 03 de mayo de 12 a las 18:05

¿La opción "Usar satélites GPS" está habilitada en el dispositivo? -

Incluso actualicé mi phonegap a 1.7.0 y todavía tengo el mismo problema. El mismo problema no ocurrirá en mis dispositivos más antiguos (Galaxy S y Galaxy Tab 7.0). Sospecho que es un problema de compatibilidad. -

0 Respuestas

No es la respuesta que estás buscando? Examinar otras preguntas etiquetadas or haz tu propia pregunta.